For the complete documentation index, see llms.txt. Markdown versions of the documentation pages are available from that index.
solscan logo
Register NowRegister Now

account token-accounts

get

https://pro-api-dev.solscan.io/v2.0/account/token-accounts

Get token accounts of an account

QUERY PARAMS

address

string

required

Solana wallet address

type

string

required

Type of token

page

number

Page number for pagination

page_size

number

The number of items per page

hide_zero

boolean

Hide token accounts with zero balance

RESPONSES

200

OK

Response Body (application/json)

success

boolean

Request status

token_account

string

Token Account address

token_address

string

Token address

amount

number

Token account raw amount

amount_str

string

Token account raw amount in string format

token_decimals

number

Decimal of token

owner

string

Owner of this token account

400

Bad Request

Response Body (application/json)

401

Authentication failed

Response Body (application/json)

429

Too Many Requests

Response Body (application/json)

500

Internal Server Error

Response Body (application/json)

icon

Javascript

icon

Python

icon

Shell

icon

Go

icon

C#

Authorization

Response

Click Try It! to start a request and see the response here!

Response Examples